> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 代幣 - 後設資料（批次）

> 批次取得多個代幣的元資料



## OpenAPI

````yaml /zh-Hant/api-reference/openapi-data-zh-Hant.yaml GET /v2/token/{chain}/metadata/multi
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 區塊鏈相關操作
  - name: Token
    description: 代幣相關操作
  - name: Trade
    description: 交易相關操作
  - name: Wallet
    description: 錢包相關操作
  - name: Dex
    description: DEX 相關操作
  - name: Ranking
    description: 排行榜相關操作
  - name: DexPool
    description: DEX 池子相關操作
  - name: Watchlist
    description: 關注列表相關操作
  - name: KYT
    description: KYT 相關操作
  - name: Webhook
    description: Webhook 相關操作
  - name: RedPacket
    description: 紅包相關操作
  - name: IPFS
    description: IPFS 相關操作
  - name: DexScreener
    description: DexScreener 相關操作
paths:
  /v2/token/{chain}/metadata/multi:
    get:
      tags:
        - Token
      summary: 代幣 - 元資料（批次）
      description: 批次取得多個代幣的元資料
      operationId: get.metadata.multi
      parameters:
        - name: chain
          in: path
          description: 支援網路列表中的鏈名稱
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddresses
          in: query
          description: 代幣地址列表，以逗號 (,) 分隔的字串。最多允許 100 個代幣地址
          required: true
          schema:
            type: string
          example: >-
            6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN,EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
      responses:
        '200':
          description: 批次取得元資料
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  description: Token metadata
                  required:
                    - address
                    - chain
                    - symbol
                    - name
                    - decimals
                  properties:
                    address:
                      type: string
                      description: 代幣合約地址
                      example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                    chain:
                      type: string
                      description: 區塊鏈網路標識
                      example: sol
                    coingeckoCoinId:
                      type:
                        - string
                        - 'null'
                      description: CoinGecko 幣種標識
                      example: usd-coin
                    decimals:
                      type: string
                      description: 小數位數
                      example: '9'
                    description:
                      type:
                        - string
                        - 'null'
                      description: 代幣描述
                      example: USDC is a stablecoin pegged to the US dollar
                    devLastTokenCreatedAt:
                      type:
                        - string
                        - 'null'
                      description: 開發者最近一次建立代幣的時間戳
                      example: '2025-12-03T09:23:34.000Z'
                    devTotalTokens:
                      type:
                        - string
                        - 'null'
                      description: 開發者建立的代幣總數
                      example: '163'
                    extra:
                      $ref: '#/components/schemas/TokenExtra'
                      description: 代幣擴充元資料
                    firstTradeAt:
                      type:
                        - integer
                        - 'null'
                      format: int64
                      description: 首次交易時間戳
                      example: 1714857600000
                    imageUrl:
                      type:
                        - string
                        - 'null'
                      description: 代幣 Logo 圖片 URL
                      example: >-
                        https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
                    metadataAddress:
                      type:
                        - string
                        - 'null'
                      description: 鏈上元資料帳戶地址
                      example: metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s
                    name:
                      type: string
                      description: 代幣顯示名稱
                      example: USD Coin
                    socialMedias:
                      $ref: '#/components/schemas/TokenSocialMedias'
                      description: 代幣社交媒體連結
                    symbol:
                      type: string
                      description: 代幣代號
                      example: USDC
                    tokenCreatedAt:
                      type:
                        - integer
                        - 'null'
                      format: int64
                      description: 代幣建立時間戳（毫秒）
                      example: 1710417600000
                    tokenCreatedBlockHeight:
                      type:
                        - string
                        - 'null'
                      description: 代幣建立時的區塊高度
                      example: '220000000'
                    tokenCreatedSlot:
                      type:
                        - string
                        - 'null'
                      description: 代幣建立時的 Slot 編號
                      example: '230000000'
                    tokenCreatedTxSignature:
                      type:
                        - string
                        - 'null'
                      description: 代幣建立交易簽名
                      example: 5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...
                    tokenCreators:
                      type: array
                      items:
                        $ref: '#/components/schemas/TokenCreator'
                      description: 代幣建立者列表
                    translations:
                      $ref: '#/components/schemas/TokenTranslations'
                      description: 本地化的名稱/符號翻譯
                    updatedAt:
                      type:
                        - string
                        - 'null'
                      description: 最後更新時間戳
                      example: '2026-02-09T08:05:12.345Z'
                    uri:
                      type:
                        - string
                        - 'null'
                      description: 代幣元資料 URI
                      example: https://arweave.net/abc123
                propertyNames:
                  type: string
              example:
                6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN:
                  address: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
                  chain: sol
                  decimals: '9'
                  imageUrl: https://example.com/sol.png
                  name: Solana
                  symbol: SOL
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenExtra:
      type: object
      description: Token extra metadata
      properties:
        collectionAddress:
          type:
            - string
            - 'null'
          description: NFT 集合地址
          example: ABCDE
        dexscreenerAd:
          type:
            - boolean
            - 'null'
          description: 代幣是否有進行中的 DexScreener 廣告
        dexscreenerAdAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 廣告時間戳
        dexscreenerBannerUrl:
          type:
            - string
            - 'null'
          description: DexScreener banner image URL
        dexscreenerBoostAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 推廣時間戳
        dexscreenerBoostFeeInUsd:
          type:
            - string
            - 'null'
          description: DexScreener 推廣費用（美元）
        dexscreenerTrendingBar:
          type:
            - boolean
            - 'null'
          description: 代幣是否出現在 DexScreener 熱門欄
        dexscreenerTrendingBarAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 出現在 DexScreener 熱門欄的時間戳
        dexscreenerUpdateLink:
          type:
            - boolean
            - 'null'
          description: 代幣資料連結是否在 DexScreener 更新過
        dexscreenerUpdateLinkAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 連結更新時間戳
        editionNonce:
          type:
            - integer
            - 'null'
          format: int64
          description: 版本 Nonce 值
          example: 1
        freezeAuthority:
          type:
            - string
            - 'null'
          description: 凍結權限地址
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        fungible:
          type:
            - boolean
            - 'null'
          description: 是否為同質化代幣
          example: true
        isMutable:
          type:
            - boolean
            - 'null'
          description: 元資料是否可變
          example: true
        isNative:
          type:
            - boolean
            - 'null'
          description: 是否為原生代幣（如 SOL）
          example: false
        isVerifiedCollection:
          type:
            - boolean
            - 'null'
          description: 集合是否已驗證
          example: true
        isWrapped:
          type:
            - boolean
            - 'null'
          description: 代幣是否為包裝代幣
          example: false
        key:
          type:
            - string
            - 'null'
          description: Metaplex 帳戶金鑰類型
          example: Mint
        launchFromProgramAddress:
          type:
            - string
            - 'null'
          description: 發射平台程式地址
          example: 6EF8rrecthR5Dkzon8Nwu78hRvfCKubJ14M5uBEwF6P
        launchFromProtocolFamily:
          type:
            - string
            - 'null'
          description: 發射平台協議族
          example: pumpfun
        launchQuoteTokenAddress:
          type:
            - string
            - 'null'
          description: 發射時使用的計價代幣地址
        migratedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 遷移時間戳（毫秒）
          example: 1714857600000
        migratedToPoolAddress:
          type:
            - string
            - 'null'
          description: 遷移目標池子地址
          example: 7AvUMqLBou5EAXzyhnizWmPU13u2VguJoBYdcX4bhJtQ
        migratedToProgramAddress:
          type:
            - string
            - 'null'
          description: 遷移目標程式地址
          example: pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA
        migratedToProtocolFamily:
          type:
            - string
            - 'null'
          description: 遷移目標協議族
          example: Raydium
        mintAuthority:
          type:
            - string
            - 'null'
          description: 鑄造權限地址
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        primarySaleHappened:
          type:
            - boolean
            - 'null'
          description: 是否已發生首次銷售
          example: false
        programAddress:
          type:
            - string
            - 'null'
          description: 代幣程式地址
          example: TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA
        sellerFeeBasisPoints:
          type:
            - integer
            - 'null'
          format: int64
          description: 賣方費率（基點）
          example: 100
        tokenStandard:
          type:
            - string
            - 'null'
          description: 代幣標準（如 Fungible）
          example: Fungible
        updateAuthority:
          type:
            - string
            - 'null'
          description: 更新權限地址
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
    TokenSocialMedias:
      type: object
      description: Token social media links
      properties:
        bitbucket:
          type:
            - string
            - 'null'
          description: Bitbucket 儲存庫 URL
          example: https://bitbucket.org/circle
        discord:
          type:
            - string
            - 'null'
          description: Discord 伺服器 URL
          example: https://discord.gg/circle
        facebook:
          type:
            - string
            - 'null'
          description: Facebook 頁面 URL
          example: https://facebook.com/circle
        farcaster:
          type:
            - string
            - 'null'
          description: Farcaster 帳號或 URL
          example: https://warpcast.com/vitalik
        github:
          type:
            - string
            - 'null'
          description: GitHub 儲存庫 URL
          example: https://github.com/circle
        instagram:
          type:
            - string
            - 'null'
          description: Instagram 帳號
          example: '@circle'
        linkedin:
          type:
            - string
            - 'null'
          description: LinkedIn 頁面 URL
          example: https://linkedin.com/company/circle
        medium:
          type:
            - string
            - 'null'
          description: Medium 部落格 URL
          example: https://medium.com/@circle
        reddit:
          type:
            - string
            - 'null'
          description: Reddit 社群 URL
          example: https://reddit.com/r/circle
        telegram:
          type:
            - string
            - 'null'
          description: Telegram 群組 URL
          example: https://t.me/circle
        tiktok:
          type:
            - string
            - 'null'
          description: TikTok 帳號
          example: '@circle'
        twitter:
          type:
            - string
            - 'null'
          description: Twitter 帳號或 URL
          example: '@circle'
        website:
          type:
            - string
            - 'null'
          description: 官方網站 URL
          example: https://www.circle.com
        youtube:
          type:
            - string
            - 'null'
          description: YouTube 頻道 URL
          example: https://youtube.com/@circle
    TokenCreator:
      type: object
      description: Token creator info
      properties:
        address:
          type:
            - string
            - 'null'
          description: 建立者錢包地址
          example: 5e2qRc1DNEXmyxP8qwPwJhRWjef7usLyi7v5xjqLr5G7
        isVerified:
          type:
            - boolean
            - 'null'
          description: 建立者是否已驗證
          example: true
        share:
          type:
            - integer
            - 'null'
          format: int64
          description: 建立者收益分成比例
          example: 100
    TokenTranslations:
      type: object
      description: |-
        Token translations for multi-locale display (e.g. Chinese markets).
        Sourced from CoinGecko `/coins/{id}` localization or community data.
      properties:
        nameZhcn:
          type:
            - string
            - 'null'
        symbolZhcn:
          type:
            - string
            - 'null'
        transName:
          type:
            - string
            - 'null'
        transSymbol:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````